Author Topic: Debian8 packages  (Read 3308 times)

Offline CanadianBeaver

  • Colonel
  • ****
  • Posts: 174
    • View Profile
    • AwesomeGuns
Debian8 packages
« on: August 31, 2016, 09:02:23 pm »
I am interesting in OpenXcom nightly or OCXE. Can somebody provide .deb package for Debian 8? Or maybe, Debian repository?

Offline ohartenstein23

  • Commander
  • *****
  • Posts: 1625
  • Flamethrowers fry cyberdisk circuits
    • View Profile
Re: Debian8 packages
« Reply #1 on: August 31, 2016, 09:08:15 pm »
There are precompiled Ubuntu executables linked on Meridian's OXCE+ thread for that, under executables for linux - Meridian's Thread, Precompiled Packages

Try some of those first, I've heard of a few others who got them to run on Debian.  Otherwise, you'll have to compile for OXCE.

Offline CanadianBeaver

  • Colonel
  • ****
  • Posts: 174
    • View Profile
    • AwesomeGuns
Re: Debian8 packages
« Reply #2 on: August 31, 2016, 09:17:30 pm »
There are precompiled Ubuntu executables linked on Meridian's OXCE+ thread for that, under executables for linux - Meridian's Thread, Precompiled Packages

Try some of those first, I've heard of a few others who got them to run on Debian.  Otherwise, you'll have to compile for OXCE.

Unfortunately, this is not a .deb package. I tried it but unfortunately it does not work:

Code: [Select]
/home/martin/X-Com/oxem/OpenXcomEx: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /home/martin/X-Com/oxem/OpenXcomEx)
There is no GLIBCXX_3.4.21 in Debian 8.

Code: [Select]
strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6 | grep GLIBCXX
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBCXX_3.4.10
GLIBCXX_3.4.11
GLIBCXX_3.4.12
GLIBCXX_3.4.13
GLIBCXX_3.4.14
GLIBCXX_3.4.15
GLIBCXX_3.4.16
GLIBCXX_3.4.17
GLIBCXX_3.4.18
GLIBCXX_3.4.19
GLIBCXX_3.4.20
GLIBCXX_DEBUG_MESSAGE_LENGTH



« Last Edit: August 31, 2016, 09:24:05 pm by CanadianBeaver »

Offline ohartenstein23

  • Commander
  • *****
  • Posts: 1625
  • Flamethrowers fry cyberdisk circuits
    • View Profile
Re: Debian8 packages
« Reply #3 on: August 31, 2016, 09:28:40 pm »
You're probably stuck compiling then; fortunately you managed to do that with a nightly version already, which means any other versions are simply a matter of waiting for your compiler.  I get the impression that the mentality around the forums is that if you're running linux, it's assumed you know how to compile from source anyways.

Offline Yankes

  • Commander
  • *****
  • Posts: 2072
    • View Profile
Re: Debian8 packages
« Reply #4 on: August 31, 2016, 09:47:22 pm »
Is maybe updated version of libstdc++ available for you? Or ask Stoddard (If I not mistaken he is responsible for that) to use previous version of gcc to compile binaries.

[ps]
this could be helpful: https://askubuntu.com/questions/575505/glibcxx-3-4-20-not-found-how-to-fix-this-error
« Last Edit: August 31, 2016, 09:49:16 pm by Yankes »

Offline CanadianBeaver

  • Colonel
  • ****
  • Posts: 174
    • View Profile
    • AwesomeGuns
Re: Debian8 packages
« Reply #5 on: August 31, 2016, 09:55:44 pm »
You're probably stuck compiling then; fortunately you managed to do that with a nightly version already, which means any other versions are simply a matter of waiting for your compiler.  I get the impression that the mentality around the forums is that if you're running linux, it's assumed you know how to compile from source anyways.

Spoiler:
Joke, but... I spent 2 days for compilation and solving problems and I think my mental health is not good at final and I should relax during next 2 days. Good result!!! When new nightly version will come I have to schedule 4 days for new compilation and new achievements, because I have nothing to do outside of compilation. I am very unhappy, because there is https://knapsu.eu/openxcom/ where I can simple download the .deb package for Debian and run the 1.0 version of game without problem and without adventures. This is really not good. I wonder, for that purpose there are software repositories and .dep packages if all can be compiled? Did you compiled your system from scratch?

It was first time when I compiling something on my Debian and I think it was last time... I believe that 20 years ago it was a regular practice but today I am afraid that nobody in good health can afford to do that, because there are no masochists here.

Offline Yankes

  • Commander
  • *****
  • Posts: 2072
    • View Profile
Re: Debian8 packages
« Reply #6 on: August 31, 2016, 11:23:47 pm »
If you can't/wont compile and there is no .deb available, why not use wine to run windows exe?

And for compilation, if you make it right then next time will take only 1s to prepare. And at some future will be new milestone 2.0 available, there is possibility that .deb package will be for debian9 only and you will have compile it yourself.

btw what version from lxnt.wtf you used?

Offline Riemaia

  • Rookie
  • Posts: 1
    • View Profile
Re: Debian8 packages
« Reply #7 on: September 01, 2016, 05:24:28 pm »
IvanDogovich told me about your woes, and seeing as I was able to compile oxce+ on Debian8... Heres the program file at least, maybe it will work for you?
https://drive.google.com/file/d/0B5QEiphXkhl9VEtPWjhJQzFBSTQ/view?usp=sharing

Oh, and the precompiled versions of oxce do not work for me either.
« Last Edit: September 01, 2016, 05:48:05 pm by Riemaia »

Offline Stoddard

  • Colonel
  • ****
  • Posts: 457
  • in a fey mood
    • View Profile
    • Linux builds & stuff
Re: Debian8 packages
« Reply #8 on: September 05, 2016, 02:16:52 am »
CanadianBeaver, I think you downloaded the ubuntu xenial or wily binary.  There are ubuntu trusty binaries there, they require GLIBCXX_3.4.19 which you seem to have.

EDIT: well, no, it won't. I'll make a build for debian 8 then.

EDITEDIT: here goes

https://lxnt.wtf/oxem/buildshttps://oxce3.0-plus-proto-9063ff7-2016-09-03-j4-jessie-x86_64.7z
« Last Edit: September 05, 2016, 03:13:34 am by Stoddard »

Offline Stoddard

  • Colonel
  • ****
  • Posts: 457
  • in a fey mood
    • View Profile
    • Linux builds & stuff
Re: Debian8 packages
« Reply #9 on: September 05, 2016, 06:11:28 am »
Tell me better why cpack .. does not include the common, standard, TFTD and UFO folders? Or how to make the .deb package after make?

Never used cpack, so no idea.

Deb packages, they need a 'debian' directory, then you just run dpkg-buildpackage -b at the same dir level (in the package root that is).  You can probably get one from someone who's building .debs of openxcom.

Offline CanadianBeaver

  • Colonel
  • ****
  • Posts: 174
    • View Profile
    • AwesomeGuns
Re: Debian8 packages
« Reply #10 on: September 05, 2016, 06:18:30 am »
I found:

Quote
cpack -G DEB ..

Offline CanadianBeaver

  • Colonel
  • ****
  • Posts: 174
    • View Profile
    • AwesomeGuns
Re: Debian8 packages
« Reply #11 on: September 05, 2016, 06:54:45 am »
I think this file has an error: https://github.com/SupSuper/OpenXcom/blob/master/cmake/modules/deb.cmake#L1

The DEBIAN_DEPENDENCYS should be ON

Also, two names of library are wrong, correct names are:

libsdl-gfx1.2 - libsdl-gfx1.2-5
libsdl1.2 - libsdl1.2debian
« Last Edit: September 05, 2016, 07:23:56 am by CanadianBeaver »